Opened 4 years ago

Closed 4 years ago

#1741 closed defect (invalid)

ffmpeg cannot play video (Adobe CQ5 uses ffmpeg)

Reported by: mredignacio Owned by:
Priority: normal Component: undetermined
Version: unspecified Keywords:
Cc: Blocked By:
Blocking: Reproduced by developer: no
Analyzed by developer: no

Description

OS: RHEL 6.1

ffmpeg -version

FFmpeg version SVN-r26402, Copyright (c) 2000-2011 the FFmpeg developers

built on Sep 16 2012 23:13:36 with gcc 4.4.5 20110214 (Red Hat 4.4.5-6)
configuration: --enable-shared --enable-gpl --enable-version3 --enable-nonfree --enable-pthreads --enable-x11grab --enable-libopencore-amrnb --enable-libopencore-amrwb --enable-libdc1394 --enable-libfaac --enable-libmp3lame --enable-libopenjpeg --enable-libtheora --enable-libvorbis --enable-libx264 --enable-libxvid --enable-zlib
libavutil 50.36. 0 / 50.36. 0
libavcore 0.16. 1 / 0.16. 1
libavcodec 52.108. 0 / 52.108. 0
libavformat 52.93. 0 / 52.93. 0
libavdevice 52. 2. 3 / 52. 2. 3
libavfilter 1.74. 0 / 1.74. 0
libswscale 0.12. 0 / 0.12. 0

FFmpeg SVN-r26402
libavutil 50.36. 0 / 50.36. 0
libavcore 0.16. 1 / 0.16. 1
libavcodec 52.108. 0 / 52.108. 0
libavformat 52.93. 0 / 52.93. 0
libavdevice 52. 2. 3 / 52. 2. 3
libavfilter 1.74. 0 / 1.74. 0
libswscale 0.12. 0 / 0.12. 0

error from Adobe CQ5 when uploading the mp4:
please check error.log from 12:10:06 to 12:10:50

any idea on this:
17.09.2012 12:10:50.494 *INFO* [Thread-4254] com.day.cq.dam.handler.ffmpeg.FFMpegWrapper FFMPEG Exec: [h264 @ 0x10875c0] AVC: nal size 3065409
17.09.2012 12:10:50.494 *INFO* [Thread-4254] com.day.cq.dam.handler.ffmpeg.FFMpegWrapper FFMPEG Exec: [h264 @ 0x10875c0] no frame

also, how to test ffmpeg on RHEL? just on command line to see video. because i play it using Adobe CQ5. thanks!

Change History (3)

comment:1 Changed 4 years ago by llogan

  • Component changed from FFmpeg to undetermined
  • Priority changed from important to normal

There are three issues to resolve to make this bug report better:

1) You need to determine if the issue is with ffmpeg or with the Adobe product. I do not have Adobe CQ5 and I do not know how/if it uses ffmpeg. We do not support third party software here.

2) You are using an ancient ffmpeg version. You need to test ffmpeg from Git master (see the download page at ffmpeg.org). Development is very active, and if you are actually experiencing a bug with ffmpeg there is a good chance that has already been resolved with a newer ffmpeg.

3) If you think you found a but we need to be able to reproduce any issues you are experiencing. This means you must provide any relevant input files and show your ffmpeg command and the complete console output.

Version 0, edited 4 years ago by llogan (next)

comment:2 follow-up: Changed 4 years ago by mredignacio

ok. thanks. for no.2. our server doesnt support git or getting connection issue. is there a tar file for the newest ffmpeg? is it the ffmpeg-0.11.1.tar.gz? thanks.

comment:3 in reply to: ↑ 2 Changed 4 years ago by cehoyos

  • Resolution set to invalid
  • Status changed from new to closed

Replying to mredignacio:

ok. thanks. for no.2. our server doesnt support git or getting connection issue. is there a tar file for the newest ffmpeg?

Yes, search for snapshot on http://ffmpeg.org/download.html

Please reopen the ticket if there is a bug that you can reproduce with current git head!

Note: See TracTickets for help on using tickets.